For the complete documentation index, see llms.txt. This page is also available as Markdown.

Full Pair Data

Get full market and instrument data for a futures pair on PointPay Exchange.

Details

GET https://api.pointpay.io/fapi/v1/public/trade/full-pair-data/{pair}

CURL Example
curl -X GET "https://api.pointpay.io/fapi/v1/public/trade/full-pair-data/BTCUSDT" -H "accept: application/json"

Response parameters:

Name
Type
Description

trade_data.symbol

STRING

Trading pair symbol

trade_data.lastPrice

STRING

Last traded price

trade_data.indexPrice

STRING

Index price

trade_data.markPrice

STRING

Mark price

trade_data.prevPrice24h

STRING

Price 24 hours ago

trade_data.price24hPcnt

STRING

Price change ratio for the last 24 hours

trade_data.highPrice24h

STRING

Highest price in the last 24 hours

trade_data.lowPrice24h

STRING

Lowest price in the last 24 hours

trade_data.prevPrice1h

STRING

Price 1 hour ago

trade_data.openInterest

STRING

Open interest

trade_data.openInterestValue

STRING

Open interest value

trade_data.turnover24h

STRING

Turnover in the last 24 hours

trade_data.volume24h

STRING

Trading volume in the last 24 hours

trade_data.fundingRate

STRING

Current funding rate

trade_data.nextFundingTime

STRING

Next funding time in milliseconds

trade_data.ask1Size

STRING

Best ask size

trade_data.bid1Price

STRING

Best bid price

trade_data.ask1Price

STRING

Best ask price

trade_data.bid1Size

STRING

Best bid size

trade_data.fundingIntervalHour

STRING

Funding interval in hours

trade_data.fundingCap

STRING

Funding rate cap

pair_data.symbol

STRING

Trading pair symbol

pair_data.contractType

STRING

Contract type

pair_data.status

STRING

Pair status

pair_data.baseCoin

STRING

Base asset code

pair_data.quoteCoin

STRING

Quote asset code

pair_data.launchTime

STRING

Launch time in milliseconds

pair_data.deliveryFeeRate

STRING

Delivery fee rate

pair_data.priceScale

STRING

Price precision

pair_data.leverageFilter.minLeverage

STRING

Minimum leverage

pair_data.leverageFilter.maxLeverage

STRING

Maximum leverage

pair_data.leverageFilter.leverageStep

STRING

Leverage step

pair_data.priceFilter.minPrice

STRING

Minimum order price

pair_data.priceFilter.maxPrice

STRING

Maximum order price

pair_data.priceFilter.tickSize

STRING

Price tick size

pair_data.lotSizeFilter.maxOrderQty

STRING

Maximum order quantity

pair_data.lotSizeFilter.minOrderQty

STRING

Minimum order quantity

pair_data.lotSizeFilter.qtyStep

STRING

Quantity step

pair_data.lotSizeFilter.postOnlyMaxOrderQty

STRING

Maximum post-only order quantity

pair_data.lotSizeFilter.maxMktOrderQty

STRING

Maximum market order quantity

pair_data.lotSizeFilter.minNotionalValue

STRING

Minimum notional order value

pair_data.fundingInterval

NUMERIC

Funding interval in minutes

pair_data.settleCoin

STRING

Settlement coin

pair_data.upperFundingRate

STRING

Upper funding rate limit

pair_data.lowerFundingRate

STRING

Lower funding rate limit

pair_data.isPreListing

BOOLEAN

Whether the pair is in pre-listing status

pair_data.riskParameters.priceLimitRatioX

STRING

Price limit ratio X

pair_data.riskParameters.priceLimitRatioY

STRING

Price limit ratio Y

pair_data.displayName

STRING

Pair display name

pair_data.symbolType

STRING

Symbol type

Response example:

Response example:

This error occurs in the following cases:

  • Invalid URL

  • Request contains invalid headers

Response example:

This error occurs in the following cases:

  • The requested URL was not found

Last updated